Skip to main content

JDK 5.0 Update 4

Posted by gsporar on June 24, 2005 at 5:31 PM PDT

One thing that has been a bit inconvenient about using the NetBeans Profiler is that it had very specific requirements of the JDK that was being profiled. The Profiler is dependent on the new JVMTI specification, which was not completely supported in the original JDK 5.0 release. This meant that to profile an application you had to use either the special build of JDK 1.4.2 that shipped with the NetBeans Profiler or one of the most recent Mustang builds. There was no way to use it with a production version of the JDK.

Until now. JDK 5.0 Update 4 has the JVMTI support that is needed to support the NetBeans Profiler. Life just got a litle easier....